Bug 21125 - gcc-2.96-64 internal compiler error
Summary: gcc-2.96-64 internal compiler error
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-20 15:51 UTC by Karsten Hopp
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-21 07:03:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2000:132 normal SHIPPED_LIVE Bug fixing update of GCC 2.96 2000-12-19 05:00:00 UTC

Description Karsten Hopp 2000-11-20 15:51:00 UTC
internal compiler error with gcc-2.96-64 (on ia32, alpha/sparc/sparc64
unaffected)

Testcase (from Jakub):

cat >x.C <<EOF
struct foo
{
  char a;
  foo ();
  void bar ();
  void baz (char c);
};

void foo::baz (char c)
{
  if (c != a)
    a = c;
}

void foo::bar ()
{
  baz (1);
}
EOF
g++ -O3 x.C

Comment 1 Jakub Jelinek 2000-11-21 07:03:04 UTC
Should be fixed in http://gcc.gnu.org/ml/gcc-patches/2000-11/msg01058.html
which will make it into gcc-2.96-65 soonish.


Note You need to log in before you can comment on or make changes to this bug.